%define perl_major_ver %(eval `perl -V:version`; echo ${version%*.[0-9]*}.0)

Name:          perl-Email-Date-Format
Version:       1.004
Release:       1mamba
Summary:       Email::Date::Format - produce RFC 2822 date strings
Group:         System/Libraries/Perl
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.cpan.org
Source:        http://search.cpan.org/CPAN/authors/id/R/RJ/RJBS/Email-Date-Format-%{version}.tar.gz
License:       GPL, Artistic
## AUTOBUILDREQ-BEGIN
BuildRequires: perl-devel
## AUTOBUILDREQ-END
BuildRequires: perl-devel >= %perl_major_ver
BuildRequires: perl-Capture-Tiny
Requires:      perl >= %perl_major_ver
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
This module provides a simple means for generating an RFC 2822 compliant datetime string. (In case you care, they're not RFC 822 dates, because they use a four digit year, which is not allowed in RFC 822.)

%prep

%setup -q -n Email-Date-Format-%{version}

%build
perl Makefile.PL PREFIX=%{_prefix} INSTALLDIRS=vendor
%make
%make test

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall_perl
packlist=`find %{buildroot} -name .packlist`
[ -z "$packlist" ] && exit 1 || cat $packlist | \
   sed "s,%buildroot,,g;s,.*/man/.*,&.gz,g" | \
   sort -u > .packlist && rm $packlist

strid=`echo $packlist | sed 's,.*auto\(.*\)/.packlist,\1,'`
for dir in `find %{buildroot} -type d | grep $strid`; do
   echo "%dir ${dir#%buildroot}" >> .packlist
done

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
rm -f .packlist

%files -f .packlist
%defattr(-,root,root)

%changelog
* Sat Aug 31 2013 Automatic Build System <autodist@mambasoft.it> 1.004-1mamba
- automatic update by autodist

* Mon Aug 05 2013 Automatic Build System <autodist@mambasoft.it> 1.003-1mamba
- automatic update by autodist

* Tue Nov 13 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 1.002-2mamba
- perl 5.16 mass rebuild

* Sat Jan 03 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.002-1mamba
- package created by autospec
